Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple
Class TupleEntrySchemeIterator<Config,Input>

    java.lang.Object
      cascading.tuple.TupleEntryIterator
          cascading.tuple.TupleEntrySchemeIterator<Config,Input>

All Implemented Interfaces:
  Closeable, Iterator<TupleEntry>

Direct Known Subclasses:
  HadoopTupleEntrySchemeIterator

    public class TupleEntrySchemeIterator<Config,Input>

extends TupleEntryIterator

Class TupleEntrySchemeIterator is a helper class for wrapping a `Scheme` instance, calling `Scheme.source(cascading.flow.FlowProcess, cascading.scheme.SourceCall)` on every call to `next()`.

Use this class inside a custom `Tap` when overriding the `Tap.openForRead(cascading.flow.FlowProcess)` method.

Constructor Summary
`TupleEntrySchemeIterator(FlowProcess<Config> flowProcess, Scheme scheme, CloseableIterator<Input> inputIterator)`
`TupleEntrySchemeIterator(FlowProcess<Config> flowProcess, Scheme scheme, CloseableIterator<Input> inputIterator, String identifier)`
`TupleEntrySchemeIterator(FlowProcess<Config> flowProcess, Scheme scheme, Input input)`
`TupleEntrySchemeIterator(FlowProcess<Config> flowProcess, Scheme scheme, Input input, String identifier)`

Method Summary
`void` | `close()`
`protected FlowProcess<Config>` | `getFlowProcess()`
`boolean` | `hasNext()`
`TupleEntry` | `next()`
`void` | `remove()`
`protected Input` | `wrapInput(Input input)`

Methods inherited from class cascading.tuple.TupleEntryIterator
`getFields, getTupleEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleEntrySchemeIterator

    public TupleEntrySchemeIterator(FlowProcess<Config> flowProcess,
                                    Scheme scheme,
                                    Input input)

### TupleEntrySchemeIterator

    public TupleEntrySchemeIterator(FlowProcess<Config> flowProcess,
                                    Scheme scheme,
                                    Input input,
                                    String identifier)

### TupleEntrySchemeIterator

    public TupleEntrySchemeIterator(FlowProcess<Config> flowProcess,
                                    Scheme scheme,
                                    CloseableIterator<Input> inputIterator)

### TupleEntrySchemeIterator

    public TupleEntrySchemeIterator(FlowProcess<Config> flowProcess,
                                    Scheme scheme,
                                    CloseableIterator<Input> inputIterator,
                                    String identifier)

Method Detail

### getFlowProcess

    protected FlowProcess<Config> getFlowProcess()

### wrapInput

    protected Input wrapInput(Input input)

### hasNext

    public boolean hasNext()

### next

    public TupleEntry next()

### remove

    public void remove()

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.